Subject: [PATCH 5/6] ARM: ux500: move PRCMU functions into the CPUidle driver

From: [email-masked] (Daniel Lezcano)
Date: Thu, 21 Mar 2013 13:30:31 +0100

On 03/21/2013 01:14 PM, Rickard Andersson wrote:
> On 03/21/2013 12:49 PM, Linus WALLEIJ wrote:
>> From: Linus Walleij<[email-masked]>
>>
>> We are trying to decompose and decentralize the code in
>> the DB8500 PRCMU out into subdrivers. The CPUidle code is
>> calling down into the PRCMU driver basically just to access
>> these registers, so let's remap them locally in the CPUidle
>> driver and move the code there, simply. Besides, the PRCMU
>> code was poking around in the GIC which is the responsibility
>> of the machine.
>>
>> Cc: Daniel Lezcano<[email-masked]>
>> Cc: Rickard Andersson<[email-masked]>
>> Cc: Samuel Ortiz<[email-masked]>
>> Signed-off-by: Linus Walleij<[email-masked]>
>> ---
>> Sam, I'm requesting an ACK for taking this through the
>> ARM SoC tree.
>> ---
> This functionality will be used by the platform suspend operation also
> which I am currently working on. So I would prefer if you can move it to
> a separate file instead so it can be used by suspend as well. I
> recommend to have it the same way we have it in our internal track i.e.
> a file called pm.c in the machine.

That would be nice to move this driver to drivers/cpuidle.

If you are ok with that, I can take care of moving the driver to this
directory and then create the pm.c file in the mach-ux500 to move the
prcmu specific code inside. Meanwhile this patch can be merged to group
the prcmu code needed for the driver and can be easily identified.

-- 
 <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog